using JSMR.Infrastructure.Data;
using JSMR.Tests.Fixtures;

namespace JSMR.Tests.Search.Creator;

public sealed class CreatorSearchProviderFixture(MariaDbContainerFixture container) : SearchProviderFixture(container)
{
    protected override async Task SeedAsync(AppDbContext context)
    {
        context.Creators.AddRange(
            new() { CreatorId = 1, Name = "John Smith" },
            new() { CreatorId = 2, Name = "John Doe", Favorite = true },
            new() { CreatorId = 3, Name = "Jane Doe", Blacklisted = true }
        );

        await context.SaveChangesAsync();
    }
}